ALT repositories
Last updated at Wed, 03 Nov 2021 08:17:12 +0000 | SRPMs: 20768
en ru
SRPMs in branches
hide window
  • 0.6.9-alt2.M80P.1
  • 0.6.10-alt3.M80P.1
  • 0.6.9-alt3.M70C.1
  • 0.6.9-alt2.M70T.1
  • 0.6.4-alt1.1
  • 0.6.4-alt1.M60P.1
  • 0.6.4-alt1.M60T.1
Group :: System/Base
Source RPM: pam_pkcs11
Current version: 0.6.12-alt1
Built: 3 months ago
Rebuilt: 3 months ago
Size: 275 KB
Repocop status: warning repocop patch
Gear:   http://git.altlinux.org/gears/p/pam_pkcs11.git
Archive:   http://ftp.altlinux.org/pub/distributions/archive/sisyphus/index/src/p/pam_pkcs11
Home page:   https://github.com/OpenSC/pam_pkcs11

License: LGPL
Summary: PKCS #11 PAM Module and Login Tools
Description:

This Linux-PAM login module allows a X.509 certificate based user login.
The certificate and its dedicated private key are thereby accessed by
means of an appropriate PKCS #11 module. For the verification of the
user certificates, locally stored CA certificates as well as either
online or locally accessible CRLs are used.

Adittional included pam_pkcs11 related tools:

- pkcs11_eventmgr: Generate actions on card insert/removal/timeout
events
- pklogin_finder: Get the loginname that maps to a certificate
- pkcs11_inspect: Inspect the contents of a certificate

Current maintainer: Paul Wolneykien

List of contributors: ACL: List of rpms provided by this srpm:
  • pam_pkcs11
  • pam_pkcs11-debuginfo
  • pam_pkcs11-isbc
  • pam_pkcs11-isbc-debuginfo
  • pam_pkcs11-ldap
  • pam_pkcs11-ldap-debuginfo
  • pam_pkcs11-pcsc
  • pam_pkcs11-pcsc-debuginfo
Recent changes (last three changelog entries):

2021-08-27 Paul Wolneykien 0.6.12-alt1

    - Fresh up to v0.6.12.
    - Fixed segfault in CRL check (thx Komarov Egor).
    - Fixed libpasswdqc initialization (closes: 39790).
    - Fixed memory corruption in mapper modules (closes: 40814).
        

2021-03-18 Paul Wolneykien 0.6.11-alt4

    - Build with libpasswdqc (closes: 39790)
    - Warn about undefined symbols when linking the module.
        

2020-09-03 Paul Wolneykien 0.6.11-alt3

    - Fixed OpenSSL-related compilation warnings.
        
 
The Geyser project is based on code from Prometheus2.0, which had been made available under the MIT License.